<?php 
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
  $_SESSION['MenuReminderAdmin'] = $page;
  if ( !IsUserAdmin() ) echo $L_015;
  else
  {
    // Inhalt-Anfang
      if (isset($Submit) AND $Submit == $L_Button23 AND isset($Tools))
      {
        if ($Tools=="ClearCache")
        {
          clearCache ();
          echo 'Cache cleared!';
        }
        else if ($Tools=="RewriteNewsFeeds")
        {
          include_once ('news/functions.php');
          writeAllFeeds();
          echo 'News Feeds rewritten!';
        }
      }
  	  else
      {
       echo '<form id="Tools" method="post" action="index.php?submenu=admin&amp;page=tools" accept-charset="UTF-8">
                <table summary="Tools">
                  <tr>
                    <td><input type="radio" class="checkbox" name="Tools" value="ClearCache" /></td>
                    <td>Clear Cache</td>
                  </tr>
                  <tr>
                    <td><input type="radio" class="checkbox" name="Tools" value="RewriteNewsFeeds" /></td>
                    <td>Rewrite News Feeds</td>
                  </tr>
                </table>
                <br />
                <fieldset>
                  <input type="submit" name="Submit" value="'.$L_Button23.'" class="button" />
                  <input type="hidden" name="http-equiv" value="tools" />
                </fieldset>
              </form>';
      }
    // Inhalt zuende
  }
?>